| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxDataViewItemAttr Class Reference
wxDataViewCtrl Related Classes

`#include <wx/dataview.h>`

## Detailed Description

This class is used to indicate to a wxDataViewCtrl that a certain item (see wxDataViewItem) has extra font attributes for its renderer.

For this, it is required to override wxDataViewModel::GetAttr.

Attributes are currently only supported by wxDataViewTextRendererText.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions

| wxDataViewItemAttr ()
| Constructor.
void | SetBold (bool set)
| Call this to indicate that the item shall be displayed in bold text.
void | SetColour (const wxColour &colour)
| Call this to indicate that the item shall be displayed with that colour.
void | SetBackgroundColour (const wxColour &colour)
| Call this to set the background colour to use.
void | SetItalic (bool set)
| Call this to indicate that the item shall be displayed in italic text.
bool | HasColour () const
| Returns true if the colour property has been set.
const wxColour & | GetColour () const
| Returns this attribute's colour.
bool | HasFont () const
| Returns true if any property affecting the font has been set.
bool | GetBold () const
| Returns value of the bold property.
bool | GetItalic () const
| Returns value of the italics property.
bool | HasBackgroundColour () const
| Returns true if the background colour property has been set.
const wxColour & | GetBackgroundColour () const
| Returns the colour to be used for the background.
bool | IsDefault () const
| Returns true if none of the properties have been set.
wxFont | GetEffectiveFont (const wxFont &font) const
| Return the font based on the given one with this attribute applied to it.

## Constructor & Destructor Documentation

wxDataViewItemAttr::wxDataViewItemAttr | ( |  | ) |

Constructor.

## Member Function Documentation

const wxColour& wxDataViewItemAttr::GetBackgroundColour | ( |  | ) | const

Returns the colour to be used for the background.

bool wxDataViewItemAttr::GetBold | ( |  | ) | const

Returns value of the bold property.

const wxColour& wxDataViewItemAttr::GetColour | ( |  | ) | const

Returns this attribute's colour.

wxFont wxDataViewItemAttr::GetEffectiveFont | ( | const wxFont & | font | ) | const

Return the font based on the given one with this attribute applied to it.

bool wxDataViewItemAttr::GetItalic | ( |  | ) | const

Returns value of the italics property.

bool wxDataViewItemAttr::HasBackgroundColour | ( |  | ) | const

Returns true if the background colour property has been set.

bool wxDataViewItemAttr::HasColour | ( |  | ) | const

Returns true if the colour property has been set.

bool wxDataViewItemAttr::HasFont | ( |  | ) | const

Returns true if any property affecting the font has been set.

bool wxDataViewItemAttr::IsDefault | ( |  | ) | const

Returns true if none of the properties have been set.

void wxDataViewItemAttr::SetBackgroundColour | ( | const wxColour & | colour | ) |

Call this to set the background colour to use.

Currently this attribute is only supported in the generic version of wxDataViewCtrl and ignored by the native GTK+ and OS X implementations.

Since
  2.9.4

void wxDataViewItemAttr::SetBold | ( | bool | set | ) |

Call this to indicate that the item shall be displayed in bold text.

void wxDataViewItemAttr::SetColour | ( | const wxColour & | colour | ) |

Call this to indicate that the item shall be displayed with that colour.

void wxDataViewItemAttr::SetItalic | ( | bool | set | ) |

Call this to indicate that the item shall be displayed in italic text.